<?php
/**
 * Post Options
 *
 * @package Headline News
 */

$wp_customize->add_section(
	'headline_news_post_options',
	array(
		'title' => esc_html__( 'Post Options', 'headline-news' ),
		'panel' => 'headline_news_theme_options',
	)
);

// Post Options - Hide Date.
$wp_customize->add_setting(
	'headline_news_post_hide_date',
	array(
		'default'           => false,
		'sanitize_callback' => 'headline_news_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Headline_News_Toggle_Switch_Custom_Control(
		$wp_customize,
		'headline_news_post_hide_date',
		array(
			'label'   => esc_html__( 'Hide Date', 'headline-news' ),
			'section' => 'headline_news_post_options',
		)
	)
);

// Post Options - Hide Author.
$wp_customize->add_setting(
	'headline_news_post_hide_author',
	array(
		'default'           => false,
		'sanitize_callback' => 'headline_news_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Headline_News_Toggle_Switch_Custom_Control(
		$wp_customize,
		'headline_news_post_hide_author',
		array(
			'label'   => esc_html__( 'Hide Author', 'headline-news' ),
			'section' => 'headline_news_post_options',
		)
	)
);

// Post Options - Hide Category.
$wp_customize->add_setting(
	'headline_news_post_hide_category',
	array(
		'default'           => false,
		'sanitize_callback' => 'headline_news_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Headline_News_Toggle_Switch_Custom_Control(
		$wp_customize,
		'headline_news_post_hide_category',
		array(
			'label'   => esc_html__( 'Hide Category', 'headline-news' ),
			'section' => 'headline_news_post_options',
		)
	)
);

// Post Options - Hide Tag.
$wp_customize->add_setting(
	'headline_news_post_hide_tags',
	array(
		'default'           => false,
		'sanitize_callback' => 'headline_news_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Headline_News_Toggle_Switch_Custom_Control(
		$wp_customize,
		'headline_news_post_hide_tags',
		array(
			'label'   => esc_html__( 'Hide Tag', 'headline-news' ),
			'section' => 'headline_news_post_options',
		)
	)
);

// Post Options - Related Post Label.
$wp_customize->add_setting(
	'headline_news_post_related_post_label',
	array(
		'default'           => __( 'Related Posts', 'headline-news' ),
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	'headline_news_post_related_post_label',
	array(
		'label'    => esc_html__( 'Related Posts Label', 'headline-news' ),
		'section'  => 'headline_news_post_options',
		'settings' => 'headline_news_post_related_post_label',
		'type'     => 'text',
	)
);
